## org.biojava.bio.seq.io
Class EmblFormat

    java.lang.Object
      |
      +--org.biojava.bio.seq.io.EmblFormat

public class EmblFormat
extends java.lang.Object
implements SequenceFormat, java.io.Serializable

Format reader for EMBL files.

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`EmblFormat()` Constuct and EMBL format processor using a default FeatureBuilder object.
`EmblFormat(FeatureBuilder fb)` Construct an EMBL format processor using the specified FeatureBuilder object.

Method Summary
`Sequence` `readSequence(StreamReader.Context context, SymbolParser resParser, SequenceFactory sf)` Read in a single sequence.
`void` `writeSequence(Sequence seq, java.io.PrintStream os)` This is not implemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmblFormat

    public EmblFormat()

  Constuct and EMBL format processor using a default FeatureBuilder object. (actually a SimpleFeatureBuilder).

### EmblFormat

    public EmblFormat(FeatureBuilder fb)

  Construct an EMBL format processor using the specified FeatureBuilder object.

Method Detail

### readSequence

    public Sequence readSequence(StreamReader.Context context,
                                 SymbolParser resParser,
                                 SequenceFactory sf)
                          throws IllegalSymbolException,
                                 java.io.IOException,
                                 BioException

  Description copied from interface: SequenceFormat
  Read in a single sequence.

  The format is responsible for converting characters in a stream into a complete sequence. It should read from the stream contained in `context`, parse the symbol characters using `resParser` and generate a sequence from the resulting symbol list using `sf`. Any non-sequence information within the format should be read in either as features, or as annotation.

  Specified by:
    readSequence in interface SequenceFormat
  Tags copied from interface: SequenceFormat
  Parameters:
    `context` - the context to parse from
    `resParser` - the parser to parse chars to Symbol objects
    `sf` - the sequence factory for generating a full sequence
  Returns:
    the resulting sequence

### writeSequence

    public void writeSequence(Sequence seq,
                              java.io.PrintStream os)
                       throws java.io.IOException

  This is not implemented. It does not write anything to the stream.
  Specified by:
    writeSequence in interface SequenceFormat
  Tags copied from interface: SequenceFormat
  Parameters:
    `seq` - the sequence to write out
    `os` - the printstream to write to